#! /bin/sh

if [ -z ${NAUTICA_HOME} ] 
then
 echo NAUTICA_HOME environmental variable is not set.
 echo Please set directory installed Nautica in NAUTICA_HOME 
 echo environmental variable.
 exit 0
fi

NAUTICA_LIB=${NAUTICA_HOME}/lib
CLASSPATH=${NAUTICA_LIB}/nautica-core.jar:${NAUTICA_LIB}/log4j-1.2.8.jar
DEFREG=jp.co.argo21.nautica.workflow.DefinitionRegister

cd ${NAUTICA_HOME}

${JAVA_HOME}/bin/java -classpath ${CLASSPATH} ${DEFREG} -jndi iiop://localhost:1050 $@
